# $Revision: 1.8 $, $Date: 2005/09/01 16:28:49 $

%define 	module	elspy

Summary:	Allows to write Python code to scan email messages at SMTP-time with the Exim MTA
Name:		python-%{module}
Version:	0.1.1
Release:	2
License:	GPL
Group:		Libraries/Python
Source0:	http://elspy.sourceforge.net/%{module}-%{version}.tar.gz
# Source0-md5:	5161553b58eedf8107048d0cd79c2360
Patch0:		%{name}-cvs20050901.patch
Patch1:		%{name}-mailpath.patch
URL:		http://elspy.sourceforge.net/
BuildRequires:	exim-devel
%pyrequires_eq	python-libs
Requires:	exim >= 4.52-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
elspy is a layer of glue code that enables you to write Python code to
scan email messages at SMTP-time with the Exim MTA (mail transport
agent). elspy also includes a small Python library with common
mail-scanning tools, including an interface to SpamAssassin and a
simple-but-effective virus detector.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__cc} -Wall -DDLOPEN_LOCAL_SCAN=1 %{rpmcflags} %{rpmldflags} -fPIC \
	-I%{_includedir}/exim -I%{_includedir}/python2.4 \
        -lpython -shared %{module}.c -o %{module}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/exim

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

install %{module}.so $RPM_BUILD_ROOT%{_libdir}/exim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc examples/*.py README.txt CHANGES.txt doc/API.txt
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%attr(755,root,root) %{_libdir}/exim/%{module}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-elspy.spec,v $
Revision 1.8  2005/09/01 16:28:49  arekm
- fix permissions

Revision 1.7  2005/09/01 16:26:16  arekm
- add API.txt

Revision 1.6  2005/09/01 16:18:24  arekm
- add /etc/mail to python search path

Revision 1.5  2005/09/01 15:59:05  arekm
- build as localscan module

Revision 1.4  2005/09/01 15:56:24  arekm
- add cvs patch

Revision 1.3  2005/09/01 15:47:35  arekm
- build exim module

Revision 1.2  2005/09/01 15:09:13  arekm
- more docs

Revision 1.1  2005/09/01 15:08:19  arekm
- initial pld release


